#include <linux/config.h>
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/fs.h>
#include "inode_security.h"

int alloc_inode_security(struct inode *inode)
{
	if (inode->i_security)
		return -EEXIST;
	
	inode->i_security = kmalloc(sizeof(inode_security_t), GFP_KERNEL);
	if (!inode->i_security)
		return -ENOMEM;
	memset(inode->i_security, 0, sizeof(inode_security_t));
	
	return 0;
}

void free_inode_security(struct inode *inode)
{
	if (!inode->i_security)
		return;
	kfree(inode->i_security);
}
