#ifndef INODE_SECURITY_H
#define INODE_SECURITY_H

#include "task_contexts.h"

#define inode_security(ino) ((inode_security_t *)(ino)->i_security)
#define i_task_context(ino) (inode_security(ino) ? \
		(inode_security(ino)->context) : NULL)

typedef struct {
	int is_task_inode;
	task_context_t *context;
} inode_security_t;

extern int alloc_inode_security(struct inode *inode);
extern void free_inode_security(struct inode *inode);


#endif /* INODE_SECURITY_H */
