#include <linux/config.h>
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/sched.h>
#include "task_security.h"

int alloc_task_security(struct task_struct *p)
{
	if (p->security)
		return -EEXIST;
	
	p->security = kmalloc(sizeof(task_security_t), GFP_KERNEL);
	if (!p->security)
		return -ENOMEM;
	memset(p->security, 0, sizeof(task_security_t));
	
	return 0;
}

void free_task_security(struct task_struct *p)
{
	if (!p->security)
		return;
	kfree(p->security);
	p->security = NULL;
}
